Bug 185171 - [patch] Update games/deng to 1.12.2
[patch] Update games/deng to 1.12.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-25 03:30 UTC by maxclsb
Modified: 2014-01-16 20:52 UTC (History)
0 users

See Also:


Attachments
file.diff (9.84 KB, patch)
2013-12-25 03:30 UTC, maxclsb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description maxclsb 2013-12-25 03:30:01 UTC
Updated games/deng to 1.12.2.
It now builds with qmake instead of cmake.
Added pkg-message to inform the user of an important command line flag not yet documented in the man page.
Added LICENSE.

Removed file:
files/patch-gl_png.c

Added files:
files/patch-doomsday-config__unix.pri
files/patch-doomsday-dep__zlib.pri
pkg-message

This port should probably be renamed to games/doomsday because the distfiles and default upstream install paths now use "doomsday" instead of "deng".

Fix: Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2013-12-25 10:17:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 dfilter freebsd_committer 2014-01-16 20:44:54 UTC
Author: makc
Date: Thu Jan 16 20:44:43 2014
New Revision: 339985
URL: http://svnweb.freebsd.org/changeset/ports/339985
QAT: https://qat.redports.org/buildarchive/r339985/

Log:
  - Follow upstream and rename games/deng to doomsday
  - Update to 1.12.2 (upstream has switched from cmake to qmake)
  - Add STAGEDIR support
  - Python is required only for building
  - Remove custom post-install
  - Use options helpers
  
  PR:		based on ports/185171
  Submitted by:	Max Sterling <maxclsb at gmail.com>

Added:
  head/games/doomsday/
     - copied from r339627, head/games/deng/
  head/games/doomsday/files/patch-doomsday-dep__zlib.pri   (contents, props changed)
  head/games/doomsday/pkg-message   (contents, props changed)
Deleted:
  head/games/deng/
  head/games/doomsday/files/patch-gl_png.c
Modified:
  head/MOVED
  head/games/Makefile
  head/games/doomsday/Makefile
  head/games/doomsday/distinfo   (contents, props changed)
  head/games/doomsday/pkg-plist   (contents, props changed)

Modified: head/MOVED
==============================================================================
--- head/MOVED	Thu Jan 16 20:44:20 2014	(r339984)
+++ head/MOVED	Thu Jan 16 20:44:43 2014	(r339985)
@@ -5376,3 +5376,4 @@ archivers/xz||2014-01-12|Included in bas
 lang/python26|lang/python27|2014-01-13|Python 2.6 is now end-of-life, please migrate to lang/python27
 sysutils/lavaps||2014-01-14|Abandonware, segfaults
 www/mod_authnz_external|www/mod_authnz_external22|2014-01-14|Port was renamed to reflect the supported Apache version
+games/deng|games/doomsday|2014-01-16|Renamed to follow upstream naming

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Thu Jan 16 20:44:20 2014	(r339984)
+++ head/games/Makefile	Thu Jan 16 20:44:43 2014	(r339985)
@@ -187,7 +187,6 @@
     SUBDIR += dcross
     SUBDIR += deal
     SUBDIR += defendguin
-    SUBDIR += deng
     SUBDIR += diameter
     SUBDIR += digger-vgl
     SUBDIR += djgame2
@@ -203,6 +202,7 @@
     SUBDIR += doom-hr2
     SUBDIR += doom-wolfendoom
     SUBDIR += doomlegacy
+    SUBDIR += doomsday
     SUBDIR += dopewars
     SUBDIR += drcreep
     SUBDIR += drm

Modified: head/games/doomsday/Makefile
==============================================================================
--- head/games/deng/Makefile	Mon Jan 13 19:56:55 2014	(r339627)
+++ head/games/doomsday/Makefile	Thu Jan 16 20:44:43 2014	(r339985)
@@ -1,16 +1,16 @@
 # Created by: Igor Pokrovsky <ip@doom.homeunix.org>
 # $FreeBSD$
 
-PORTNAME=	deng
-PORTVERSION=	1.9.0b6.9
-PORTREVISION=	3
+PORTNAME=	doomsday
+PORTVERSION=	1.12.2
 CATEGORIES=	games
-MASTER_SITES=	SF/${PORTNAME}/Doomsday%20Engine/1.9.0-beta6.9
-DISTNAME=	${PORTNAME}-${PORTVERSION:S/b/-beta/}
+MASTER_SITES=	SF/${PORTNAME}/Doomsday%20Engine/${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Enhanced Doom, Heretic, and Hexen source port
 
+LICENSE=	GPLv2
+
 BUILD_DEPENDS=	zip:${PORTSDIR}/archivers/zip
 LIB_DEPENDS=	libcurl.so:${PORTSDIR}/ftp/curl \
 		libpng15.so:${PORTSDIR}/graphics/png
@@ -20,40 +20,30 @@ USE_GL=		gl glu
 USE_LDCONFIG=	yes
 USE_SDL=	sdl mixer net
 USE_XORG=	x11
-USE_PYTHON=	yes
-USES=		cmake:outsource
-CMAKE_SOURCE_PATH=	${WRKSRC}/doomsday
+USE_PYTHON_BUILD=	yes
+USES=		pkgconfig qmake:outsource
+USE_QT4=	corelib network opengl moc_build
+QMAKE_SOURCE_PATH=	${WRKSRC}/doomsday
 CFLAGS+=	-I${LOCALBASE}/include/libpng15
-CMAKE_ARGS+=	-DCMAKE_EXE_LINKER_FLAGS:STRING="-Wl,--export-dynamic"
+QMAKE_ARGS+=	QMAKE_LFLAGS+="-Wl,--export-dynamic" \
+		CONFIG+="deng_notools deng_nosnowberry" \
+		SCRIPT_PYTHON=${PYTHON_CMD}
 LDFLAGS+=	-lm
 
-OPTIONS_DEFINE=	OPENAL DOCS
-OPTIONS_DEFAULT=	DOCS
-OPENAL_DESC=	Build OpenAL sound plugin
-
-.include <bsd.port.options.mk>
+OPTIONS_DEFINE=	OPENAL
+OPTIONS_SUB=	yes
 
-.if ${PORT_OPTIONS:MOPENAL}
-USES+=		openal:al
-CMAKE_ARGS+=	-DBUILDOPENAL:BOOL=ON
-PLIST_SUB=	OPENAL=""
-.else
-CMAKE_ARGS+=	-DBUILDOPENAL:BOOL=OFF
-PLIST_SUB=	OPENAL="@comment "
-.endif
+OPENAL_DESC=	Build OpenAL sound plugin
+OPENAL_USES=	openal:al
+OPENAL_QMAKE_ON=	CONFIG+=deng_openal
+OPENAL_QMAKE_OFF=	CONFIG+=deng_noopenal
 
 post-patch:
-	${REINPLACE_CMD} \
-		-e '/CHECK_LIBRARY_EXIST/s/dl//' \
-		-e '/TARGET_LINK_LIBRARIES/s/dl//' \
-		${WRKSRC}/doomsday/CMakeLists.txt
-
-post-install:
-	${LN} -s doomsday ${STAGEDIR}${PREFIX}/bin/deng
-	${INSTALL_MAN} ${WRKSRC}/doomsday/engine/doc/doomsday.6 ${STAGEDIR}${MANPREFIX}/man/man6/
-	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-.for i in LICENSE changelog.txt cnsname.txt cvars.txt deddoc.txt dhistory.txt naming.txt network.txt
-	${INSTALL_DATA} ${WRKSRC}/doomsday/engine/doc/${i} ${STAGEDIR}${DOCSDIR}/
-.endfor
+	${REINPLACE_CMD} 's,share/man,man,' \
+		${PATCH_WRKSRC}/doomsday/client/client.pro \
+		${PATCH_WRKSRC}/doomsday/server/server.pro
+	${REINPLACE_CMD} 's,python,${PYTHON_CMD},' \
+		${PATCH_WRKSRC}/doomsday/config.pri \
+		${PATCH_WRKSRC}/doomsday/build/build.pro
 
 .include <bsd.port.mk>

Modified: head/games/doomsday/distinfo
==============================================================================
--- head/games/deng/distinfo	Mon Jan 13 19:56:55 2014	(r339627)
+++ head/games/doomsday/distinfo	Thu Jan 16 20:44:43 2014	(r339985)
@@ -1,2 +1,2 @@
-SHA256 (deng-1.9.0-beta6.9.tar.gz) = 3553f6a58660916fdedbe0594f5b22dac4738ee6e02b042992d3140d358954af
-SIZE (deng-1.9.0-beta6.9.tar.gz) = 6085833
+SHA256 (doomsday-1.12.2.tar.gz) = a021fd1d7540b43075b0906167c45e82fe698105222613097befdeb793363a4e
+SIZE (doomsday-1.12.2.tar.gz) = 13028633

Added: head/games/doomsday/files/patch-doomsday-dep__zlib.pri
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/doomsday/files/patch-doomsday-dep__zlib.pri	Thu Jan 16 20:44:43 2014	(r339985)
@@ -0,0 +1,13 @@
+--- doomsday/dep_zlib.pri.orig	2013-11-02 07:38:18.000000000 -0700
++++ doomsday/dep_zlib.pri	2013-12-24 04:55:18.000000000 -0700
+@@ -12,6 +12,10 @@
+     # Mac OS X.
+     LIBS += -lz
+ }
++else:freebsd-* {
++    # FreeBSD
++    LIBS += -lz
++}
+ else {
+     # Generic Unix.
+     QMAKE_CFLAGS += $$system(pkg-config zlib --cflags)

Added: head/games/doomsday/pkg-message
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/doomsday/pkg-message	Thu Jan 16 20:44:43 2014	(r339985)
@@ -0,0 +1,7 @@
+========================================================================
+
+If you use an Intel graphics adapter and experience missing or
+corrupted textures during gameplay, try launching doomsday with the
+"-notexcomp" option.
+
+========================================================================

Modified: head/games/doomsday/pkg-plist
==============================================================================
--- head/games/deng/pkg-plist	Mon Jan 13 19:56:55 2014	(r339627)
+++ head/games/doomsday/pkg-plist	Thu Jan 16 20:44:43 2014	(r339985)
@@ -1,27 +1,87 @@
-bin/deng
 bin/doomsday
+bin/doomsday-server
+%%OPENAL%%lib/doomsday/libaudio_openal.so
+%%OPENAL%%lib/doomsday/libaudio_openal.so.1
+%%OPENAL%%lib/doomsday/libaudio_openal.so.1.2
+%%OPENAL%%lib/doomsday/libaudio_openal.so.1.2.4
+lib/doomsday/libdehread.so
+lib/doomsday/libdehread.so.2
+lib/doomsday/libdehread.so.2.0
+lib/doomsday/libdehread.so.2.0.0
+lib/doomsday/libdoom.so
+lib/doomsday/libdoom.so.1
+lib/doomsday/libdoom.so.1.12
+lib/doomsday/libdoom.so.1.12.2
+lib/doomsday/libdoom64.so
+lib/doomsday/libdoom64.so.1
+lib/doomsday/libdoom64.so.1.12
+lib/doomsday/libdoom64.so.1.12.2
+lib/doomsday/libexample.so
+lib/doomsday/libexample.so.1
+lib/doomsday/libexample.so.1.2
+lib/doomsday/libexample.so.1.2.0
+lib/doomsday/libheretic.so
+lib/doomsday/libheretic.so.1
+lib/doomsday/libheretic.so.1.12
+lib/doomsday/libheretic.so.1.12.2
+lib/doomsday/libhexen.so
+lib/doomsday/libhexen.so.1
+lib/doomsday/libhexen.so.1.12
+lib/doomsday/libhexen.so.1.12.2
+lib/doomsday/libwadmapconverter.so
+lib/doomsday/libwadmapconverter.so.1
+lib/doomsday/libwadmapconverter.so.1.1
+lib/doomsday/libwadmapconverter.so.1.1.0
+lib/libdeng1.so
+lib/libdeng1.so.1
+lib/libdeng1.so.1.12
+lib/libdeng1.so.1.12.2
+lib/libdeng2.so
+lib/libdeng2.so.2
+lib/libdeng2.so.2.0
+lib/libdeng2.so.2.0.0
+lib/libdeng_gui.so
+lib/libdeng_gui.so.1
+lib/libdeng_gui.so.1.12
+lib/libdeng_gui.so.1.12.2
+lib/libdeng_shell.so
+lib/libdeng_shell.so.0
+lib/libdeng_shell.so.0.1
+lib/libdeng_shell.so.0.1.0
 man/man6/doomsday.6.gz
-lib/libdpdehread.so
-lib/libdpwadmapconverter.so
-%%OPENAL%%lib/libdsopenal.so
-lib/libjdoom.so
-lib/libjheretic.so
-lib/libjhexen.so
 %%DATADIR%%/data/doomsday.pk3
-%%DATADIR%%/data/jdoom/jdoom.pk3
-%%DATADIR%%/data/jheretic/jheretic.pk3
-%%DATADIR%%/data/jhexen/jhexen.pk3
-%%PORTDOCS%%%%DOCSDIR%%/LICENSE
-%%PORTDOCS%%%%DOCSDIR%%/changelog.txt
-%%PORTDOCS%%%%DOCSDIR%%/cnsname.txt
-%%PORTDOCS%%%%DOCSDIR%%/cvars.txt
-%%PORTDOCS%%%%DOCSDIR%%/deddoc.txt
-%%PORTDOCS%%%%DOCSDIR%%/dhistory.txt
-%%PORTDOCS%%%%DOCSDIR%%/naming.txt
-%%PORTDOCS%%%%DOCSDIR%%/network.txt
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
-@dirrm %%DATADIR%%/data/jdoom
+%%DATADIR%%/data/fonts/console11.dfn
+%%DATADIR%%/data/fonts/console14.dfn
+%%DATADIR%%/data/fonts/console18.dfn
+%%DATADIR%%/data/fonts/normal12.dfn
+%%DATADIR%%/data/fonts/normal18.dfn
+%%DATADIR%%/data/fonts/normal24.dfn
+%%DATADIR%%/data/fonts/normalbold12.dfn
+%%DATADIR%%/data/fonts/normalbold18.dfn
+%%DATADIR%%/data/fonts/normalbold24.dfn
+%%DATADIR%%/data/fonts/normallight12.dfn
+%%DATADIR%%/data/fonts/normallight18.dfn
+%%DATADIR%%/data/fonts/normallight24.dfn
+%%DATADIR%%/data/graphics/background.pcx
+%%DATADIR%%/data/graphics/loading1.png
+%%DATADIR%%/data/graphics/loading2.png
+%%DATADIR%%/data/graphics/logo.png
+%%DATADIR%%/data/jdoom/libdoom.pk3
+%%DATADIR%%/data/jdoom64/libdoom64.pk3
+%%DATADIR%%/data/jheretic/libheretic.pk3
+%%DATADIR%%/data/jhexen/libhexen.pk3
+%%DATADIR%%/modules/Config.de
+%%DATADIR%%/modules/appconfig.de
+%%DATADIR%%/modules/bootstrap.de
+%%DATADIR%%/modules/gui.de
+%%DATADIR%%/modules/recutil.de
+@dirrm %%DATADIR%%/modules
 @dirrm %%DATADIR%%/data/jhexen
 @dirrm %%DATADIR%%/data/jheretic
+@dirrm %%DATADIR%%/data/jdoom64
+@dirrm %%DATADIR%%/data/jdoom
+@dirrm %%DATADIR%%/data/graphics
+@dirrm %%DATADIR%%/data/fonts
 @dirrm %%DATADIR%%/data
 @dirrm %%DATADIR%%
+@dirrm lib/doomsday
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Max Brazhnikov freebsd_committer 2014-01-16 20:52:45 UTC
State Changed
From-To: open->closed

Committed with some modifications, thanks!